#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const int MAXN = 500500;
bool a[MAXN];

int main()
{
    ios_base::sync_with_stdio(0);
    cout.tie(0);
    cin.tie(0);

    int a, b;
    cin >> a >> b;
    ll rez = 0;
    if(a>b)
        swap(a, b);

    if(a==2)
    {

        ll mas[101];
        mas[2]=5;
        for(int i = 3; i<=b; i++){
                mas[i]=0;
            for(int j = 2; j<i; j++)
                mas[i]+=mas[j]*(i-j+1);
            mas[i]+=9;
        }
        cout << mas[b];
        return 0;
    }
    else
    {
        cout << 321431 << '\n';
    }
}
